declare namespace __AdaptedExports {
  /** Exported memory */
  export const memory: WebAssembly.Memory;
  /**
   * assembly/index/generateBoundedHashesFromJSON
   * @param user_id `~lib/string/String`
   * @param target_id `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function generateBoundedHashesFromJSON(user_id: string, target_id: string): string;
  /**
   * assembly/index/generateBucketedConfigForUser
   * @param sdkKey `~lib/string/String`
   * @param userStr `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function generateBucketedConfigForUser(sdkKey: string, userStr: string): string;
  /**
   * assembly/index/setPlatformData
   * @param platformDataStr `~lib/string/String`
   */
  export function setPlatformData(platformDataStr: string): void;
  /**
   * assembly/index/clearPlatformData
   * @param empty `~lib/string/String`
   */
  export function clearPlatformData(empty: string): void;
  /**
   * assembly/index/setConfigData
   * @param sdkKey `~lib/string/String`
   * @param configDataStr `~lib/string/String`
   */
  export function setConfigData(sdkKey: string, configDataStr: string): void;
  /**
   * assembly/helpers/murmurhash/murmurhashV3
   * @param key `~lib/string/String`
   * @param seed `u32`
   * @returns `u32`
   */
  export function murmurhashV3(key: string, seed: number): number;
  /**
   * assembly/helpers/murmurhash/murmurhashV3_js
   * @param key `~lib/string/String`
   * @param seed `u32`
   * @returns `~lib/string/String`
   */
  export function murmurhashV3_js(key: string, seed: number): string;
  /**
   * assembly/managers/eventQueueManager/initEventQueue
   * @param sdkKey `~lib/string/String`
   * @param optionsStr `~lib/string/String`
   */
  export function initEventQueue(sdkKey: string, optionsStr: string): void;
  /**
   * assembly/managers/eventQueueManager/flushEventQueue
   * @param sdkKey `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function flushEventQueue(sdkKey: string): string;
  /**
   * assembly/managers/eventQueueManager/onPayloadSuccess
   * @param sdkKey `~lib/string/String`
   * @param payloadId `~lib/string/String`
   */
  export function onPayloadSuccess(sdkKey: string, payloadId: string): void;
  /**
   * assembly/managers/eventQueueManager/onPayloadFailure
   * @param sdkKey `~lib/string/String`
   * @param payloadId `~lib/string/String`
   * @param retryable `bool`
   */
  export function onPayloadFailure(sdkKey: string, payloadId: string, retryable: boolean): void;
  /**
   * assembly/managers/eventQueueManager/queueEvent
   * @param sdkKey `~lib/string/String`
   * @param userStr `~lib/string/String`
   * @param eventStr `~lib/string/String`
   */
  export function queueEvent(sdkKey: string, userStr: string, eventStr: string): void;
  /**
   * assembly/managers/eventQueueManager/queueAggregateEvent
   * @param sdkKey `~lib/string/String`
   * @param eventStr `~lib/string/String`
   * @param variableVariationMapStr `~lib/string/String`
   */
  export function queueAggregateEvent(sdkKey: string, eventStr: string, variableVariationMapStr: string): void;
  /**
   * assembly/managers/eventQueueManager/cleanupEventQueue
   * @param sdkKey `~lib/string/String`
   */
  export function cleanupEventQueue(sdkKey: string): void;
  /**
   * assembly/managers/eventQueueManager/eventQueueSize
   * @param sdkKey `~lib/string/String`
   * @returns `i32`
   */
  export function eventQueueSize(sdkKey: string): number;
  /**
   * assembly/testHelpers/checkNumbersFilterFromJSON
   * @param number `~lib/string/String`
   * @param filterStr `~lib/string/String`
   * @returns `bool`
   */
  export function checkNumbersFilterFromJSON(number: string, filterStr: string): boolean;
  /**
   * assembly/testHelpers/checkVersionFiltersFromJSON
   * @param appVersion `~lib/string/String | null`
   * @param filterStr `~lib/string/String`
   * @returns `bool`
   */
  export function checkVersionFiltersFromJSON(appVersion: string | null, filterStr: string): boolean;
  /**
   * assembly/testHelpers/checkCustomDataFromJSON
   * @param data `~lib/string/String | null`
   * @param filterStr `~lib/string/String`
   * @returns `bool`
   */
  export function checkCustomDataFromJSON(data: string | null, filterStr: string): boolean;
  /**
   * assembly/testHelpers/evaluateOperatorFromJSON
   * @param operatorStr `~lib/string/String`
   * @param userStr `~lib/string/String`
   * @returns `bool`
   */
  export function evaluateOperatorFromJSON(operatorStr: string, userStr: string): boolean;
  /**
   * assembly/testHelpers/decideTargetVariationFromJSON
   * @param targetStr `~lib/string/String`
   * @param boundedHash `f64`
   * @returns `~lib/string/String`
   */
  export function decideTargetVariationFromJSON(targetStr: string, boundedHash: number): string;
  /**
   * assembly/testHelpers/doesUserPassRolloutFromJSON
   * @param rolloutStr `~lib/string/String | null`
   * @param boundedHash `f64`
   * @returns `bool`
   */
  export function doesUserPassRolloutFromJSON(rolloutStr: string | null, boundedHash: number): boolean;
  /**
   * assembly/testHelpers/testConfigBodyClass
   * @param configStr `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function testConfigBodyClass(configStr: string): string;
  /**
   * assembly/testHelpers/testDVCUserClass
   * @param userStr `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function testDVCUserClass(userStr: string): string;
  /**
   * assembly/testHelpers/testBucketedUserConfigClass
   * @param userConfigStr `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function testBucketedUserConfigClass(userConfigStr: string): string;
  /**
   * assembly/testHelpers/testSortObjectsByString
   * @param arr `~lib/array/Array<assembly/helpers/arrayHelpers/SortingArrayItem<assembly/testHelpers/TestData>>`
   * @param direction `~lib/string/String`
   * @returns `~lib/array/Array<assembly/testHelpers/TestData>`
   */
  export function testSortObjectsByString(arr: Array<__Record161<undefined>>, direction: string): Array<__Record160<never>>;
  /**
   * assembly/types/eventQueueOptions/testEventQueueOptionsClass
   * @param optionsStr `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function testEventQueueOptionsClass(optionsStr: string): string;
  /**
   * assembly/types/dvcEvent/testDVCEventClass
   * @param eventStr `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function testDVCEventClass(eventStr: string): string;
  /**
   * assembly/types/dvcEvent/testDVCRequestEventClass
   * @param eventStr `~lib/string/String`
   * @param user_id `~lib/string/String`
   * @param featureVarsStr `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function testDVCRequestEventClass(eventStr: string, user_id: string, featureVarsStr: string): string;
  /**
   * assembly/types/platformData/testPlatformDataClass
   * @param dataStr `~lib/string/String`
   * @returns `~lib/string/String`
   */
  export function testPlatformDataClass(dataStr: string): string;
}
/** assembly/testHelpers/TestData */
declare interface __Record160<TOmittable> {
  /** @type `~lib/string/String` */
  key: string;
}
/** assembly/helpers/arrayHelpers/SortingArrayItem<assembly/testHelpers/TestData> */
declare interface __Record161<TOmittable> {
  /** @type `~lib/string/String` */
  value: string;
  /** @type `assembly/testHelpers/TestData` */
  entry: __Record160<undefined>;
}
/** Instantiates the compiled WebAssembly module with the given imports. */
export declare function instantiate(module: WebAssembly.Module, imports: {
  env: unknown,
}): Promise<typeof __AdaptedExports>;
